Package: org.codehaus.groovy.ast.expr

## [Java] Class MapExpression

- org.codehaus.groovy.ast.expr.MapExpression

- Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MapExpression ()`
    `MapExpression (List<MapEntryExpression> mapEntryExpressions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addMapEntryExpression(MapEntryExpression expression)`
    `` | `void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
    `` | `List<MapEntryExpression>` | `getMapEntryExpressions()`
    `` | `String` | `getText()`
    `` | `boolean` | `isDynamic()`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MapExpression()

    - #### public MapExpression(List<MapEntryExpression> mapEntryExpressions)

  - ### Method Detail

    - #### public void addMapEntryExpression(MapEntryExpression expression)

    - #### public void addMapEntryExpression(Expression keyExpression, Expression valueExpression)

    - #### public List<MapEntryExpression> getMapEntryExpressions()

    - #### public String getText()

    - #### public boolean isDynamic()

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)